Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162108 - only the main thread is shown by top(1)
Summary: only the main thread is shown by top(1)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jason Baron
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-06-29 22:34 UTC by Tru Huynh
Modified: 2013-03-06 05:58 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 13:37:37 UTC


Attachments (Terms of Use)
test case (deleted)
2005-06-29 22:34 UTC, Tru Huynh
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:514 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 2 2005-10-05 04:00:00 UTC

Description Tru Huynh 2005-06-29 22:34:02 UTC
Description of problem:
A threaded program can hide the cpu and io load since the main thread is the
only one reported by top(1).


Version-Release number of selected component (if applicable):
kernel-smp-2.6.9-11.EL (x86/x86_64 UP/SMP)
(not relevant procps-3.2.3-8.1, glibc-2.3.4-2.9, gcc-3.4.3-22.1)

How reproducible:
Always

Steps to Reproduce:
1. download the test case (loop.tgz)
2. tar xzvf loop.tgz && cd loop.d && make
3.
  
Actual results:

- top(1) is low and does not show any cpu heating process
- the load is high (%cpu and %sys)

Expected results:

the threaded program should be present in the top(1) processes.

Additional info:
2.6.12 kernel from kernel.org does not exhibit this feature

Comment 1 Tru Huynh 2005-06-29 22:34:03 UTC
Created attachment 116151 [details]
test case

Comment 2 Jason Baron 2005-06-30 15:08:40 UTC
ok, thanks, this should be fixed in our latest testing kernels, can you please
try the latest testing kernels at: http://people.redhat.com/~jbaron/rhel4/. thanks.

Comment 4 Tru Huynh 2005-06-30 17:09:51 UTC
it is fixed in 2.6.9-11.21.ELsmp (x86_64) :)

top - 19:06:34 up 21 min,  1 user,  load average: 1.61, 0.56, 0.20
Tasks:  62 total,   2 running,  60 sleeping,   0 stopped,   0 zombie
Cpu0  : 100.0% us,  0.0% sy,  0.0% ni,  0.0% id,  0.0% wa,  0.0% hi,  0.0% si
Cpu1  :  6.9% us, 93.1% sy,  0.0% ni,  0.0% id,  0.0% wa,  0.0% hi,  0.0% si
Mem:   4060192k total,    89376k used,  3970816k free,     9652k buffers
Swap:  4192956k total,        0k used,  4192956k free,    36724k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
 3217 tru       16   0 25660  472  372 S 99.7  0.0   3:09.11 loop               
...

Is there any known issue for 2.6.9-11.21.EL? I would rather not wait for U2
to get the fix for this thread issue :)

Thank you


Comment 5 Jason Baron 2005-06-30 17:42:22 UTC
thanks for getting back so quickly on this :) I'm not aware of any serious
issues with that kernel, however its not an officially supported kernel. Support
can provide 'hotfixes', which are supported. So i suggest contacting our
support. Red Hat's Technical Support line at 888-REDHAT-1 or file a web ticket
at http://www.redhat.com/apps/support/. 

Feel free to follow up here, if there are any problems. thanks.

Comment 6 Jason Baron 2005-06-30 17:43:59 UTC

*** This bug has been marked as a duplicate of 152430 ***

Comment 7 Red Hat Bugzilla 2005-10-05 13:37:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html



Note You need to log in before you can comment on or make changes to this bug.